### Virtual Method

# Nautilus MenuProvider get_background_items

#### Declaration [src]

    GList*
    get_background_items (
      NautilusMenuProvider* provider,
      NautilusFileInfo* current_folder
    )

#### Description [src]

Called at least once whenever the current view changes.

#### Parameters

`current_folder`

  Type: `NautilusFileInfo`

  The folder for which background items are requested.

  The data is owned by the caller of the method.

#### Return value

Type: A list of `NautilusMenuItem*`

The provided list of items.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.